// Copyright © VNG Realisatie 2020
// Licensed under the EUPL
//
import * as exportedModules from './index'

test(`all components are exported`, () => {
  expect(exportedModules.darkTheme).toBeTruthy()
  expect(exportedModules.defaultTheme).toBeTruthy()
  expect(exportedModules.mediaQueries).toBeTruthy()

  expect(exportedModules.Alert).toBeTruthy()
  expect(exportedModules.Alert.ActionButton).toBeTruthy()
  expect(exportedModules.Button).toBeTruthy()
  expect(exportedModules.CGLogo).toBeTruthy()
  expect(exportedModules.Checkbox).toBeTruthy()
  expect(exportedModules.Collapsible).toBeTruthy()
  expect(exportedModules.Drawer).toBeTruthy()
  expect(exportedModules.DomainNavigation).toBeTruthy()
  expect(exportedModules.withDrawerStack).toBeTruthy()
  expect(exportedModules.useDrawerStack).toBeTruthy()
  expect(exportedModules.StackedDrawer).toBeTruthy()
  expect(exportedModules.MockDrawerStack).toBeTruthy()
  expect(exportedModules.ErrorMessage).toBeTruthy()
  expect(exportedModules.Fieldset).toBeTruthy()
  expect(exportedModules.GitLabLogo).toBeTruthy()
  expect(exportedModules.GlobalStyles).toBeTruthy()
  expect(exportedModules.IconFlippingChevron).toBeTruthy()
  expect(exportedModules.Icon).toBeTruthy()
  expect(exportedModules.Radio).toBeTruthy()
  expect(exportedModules.TextInput).toBeTruthy()
  expect(exportedModules.Select).toBeTruthy()
  expect(exportedModules.SelectComponent).toBeTruthy()
  expect(exportedModules.SelectFormik).toBeTruthy()
  expect(exportedModules.Label).toBeTruthy()
  expect(exportedModules.FieldLabel).toBeTruthy()
  expect(exportedModules.Legend).toBeTruthy()
  expect(exportedModules.NLXLogo).toBeTruthy()
  expect(exportedModules.PrimaryNavigation).toBeTruthy()
  expect(exportedModules.mobileNavigationHeight).toBeTruthy()
  expect(exportedModules.Icon).toBeTruthy()
  expect(exportedModules.Spinner).toBeTruthy()
  expect(exportedModules.ToasterProvider).toBeTruthy()
  expect(exportedModules.ToasterContext).toBeTruthy()
  expect(exportedModules.Toast).toBeTruthy()
})
